C ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

      INTEGER FUNCTION cidx(cstr,sstr)

C @(#)Function: cidx                 Author: R.A. Jansen -- Mar 20, 1997
C @(#)
C @(#)  Purpose:  Return as the function value the position of the first
C @(#)    occurance of substring 'sstr'  within character string 'cstr'.
C @(#)    Both are of arbitrary declared length.   If 'sstr' exceeds the
C @(#)    length of 'cstr', a value of -1 is returned; if 'sstr' doesn't
C @(#)    occur within 'cstr', a value of 0 is returned.
C @(#)
C @(#)  Note: this is essentially an implementation of Fortran intrinsic
C @(#)    function INDEX.  For its twin, to find the last occurance of a
C @(#)    substring within a character string, see routine 'cldx'.
C @(#)
C @(#)  Calling sequence: i = cidx(cstr,sstr),  where strings 'cstr' and
C @(#)    'sstr' can be of arbitrary declared length.
C @(#)
C @(#)  Dependencies:     (none)
C @(#)
C @(#)  Revision history: May 20, 2008 [RAJ] -- expanded documentation.
C @(#)------------------------------------------------------------------

      CHARACTER*(*) cstr, sstr
      INTEGER	i, j, k

C --- Initialize...
      i = LEN(cstr)
      j = LEN(sstr)

C --- Return with negative value, if 'sstr' is longer than 'cstr'...
      cidx = -1
      IF (j.GT.i) RETURN

C --- Search from the start to the declared end of 'cstr' for the first
C     occurance of 'sstr'...
      DO k = 1,(i-j+1),1
         cidx = k
         IF (cstr(k:(k+j-1)).EQ.sstr(1:j)) RETURN
      ENDDO

C --- Substring does not occur within character string 'cstr'; return 0
      cidx = 0

      RETURN
      END


