C ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

      INTEGER FUNCTION cldx(cstr,sstr)

C @(#)Function: cldx                 Author: R.A. Jansen -- Mar 20, 1997
C @(#)
C @(#)  Purpose:  Return as the function value  the position of the last
C @(#)    occurance of substring 'sstr'  within character string 'cstr'.
C @(#)    Both are of arbitrary declared length.   If 'sstr' exceeds the
C @(#)    length of 'cstr', a value of -1 is returned; if 'sstr' doesn't
C @(#)    occur within 'cstr', a value of 0 is returned.
C @(#)
C @(#)  Calling sequence: i = cldx(cstr,sstr),  where strings 'cstr' and
C @(#)    'sstr' can be of arbitrary declared length.
C @(#)
C @(#)  Dependencies:     (none)
C @(#)
C @(#)  Revision history: May 20, 2008 [RAJ] -- expanded documentation.
C @(#)------------------------------------------------------------------

      CHARACTER*(*) cstr, sstr
      INTEGER	i, j, k

C --- Initialize...
      i = LEN(cstr)
      j = LEN(sstr)

C --- Return with negative value, if 'sstr' is longer than 'cstr'...
      cldx = -1
      IF (j.GT.i) RETURN

C --- Search from the declared end of 'cstr' to the start for the last
C     occurance of 'sstr'...
      DO k = (i-j+1),1,-1
         cldx = k
         IF (cstr(k:(k+j-1)).EQ.sstr(1:j)) RETURN
      ENDDO

C --- Substring does not occur within character string 'cstr'; return 0
      cldx = 0

      RETURN
      END


