C ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

      SUBROUTINE fwritc(iunit,cstr,ierr)

C @(#)Subroutine: fwritc             Author: R.A. Jansen -- Feb 12, 1998
C @(#)
C @(#)  Purpose: Write a character string 'cstr' to the specified device
C @(#)    unit 'iunit'.
C @(#)
C @(#)  Calling sequence: CALL fwritc(iunit,cstr,ierr)   , where 'iunit'
C @(#)    must be open for writing already,  and  'cstr'  is a character
C @(#)    string of arbitrary declared length, of which only the portion
C @(#)    up to the actual length will be printed. If an error condition
C @(#)    is triggered, 'ierr'  will be non-zero upon exit.
C @(#)
C @(#)  Dependencies:     clen
C @(#)
C @(#)  Revision history:
C @(#)    May 22, 2008 [RAJ] -- expanded documentation.
C @(#)    Jul 31, 2008 [RAJ] -- added error status parameter 'ierr', for
C @(#)                          when 'iunit' isn't the standard output.
C @(#)------------------------------------------------------------------

      CHARACTER*(*) cstr
      INTEGER	iunit, ierr, clen

C --- Return for non-zero input error status...
      IF (ierr.NE.0) RETURN

C --- Write input character string to output device...
      WRITE(iunit,'(A)',IOSTAT=ierr) cstr(1:clen(cstr))

      RETURN
      END


