C ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

      INTEGER FUNCTION ifmt(ival)

C @(#)Function: ifmt                 Author: R.A. Jansen -- Feb 13, 2013
C @(#)
C @(#)  Purpose: Return as the function value the character width "w" in
C @(#)    fixed format specifier  "Iw",  required to write integer value
C @(#)    'ival' to a character string.
C @(#)
C @(#)  Calling sequence: i = ifmt(ival)   with 'i' and 'ival' integers.
C @(#)
C @(#)  Dependencies:     (none)
C @(#)
C @(#)  Usage example:
C @(#)     i = ifmt(ival)
C @(#)     WRITE(fmt,'((A),I1,A1)') '((A),I',i,')'
C @(#)     WRITE(STDOUT,fmt) 'ival=',ival
C @(#)  where 'i' and 'ival' are integers, and 'fmt' a character string.
C @(#)
C @(#)  Revision history:
C @(#)    Mar 13, 2013 [RAJ] -- added a usage example to documentation.
C @(#)------------------------------------------------------------------

      INTEGER	ival

C --- Compute the number of characters required to represent 'ival';
C     capture the special case when 'ival' equals zero...
      IF (ival.EQ.0) THEN
         ifmt = 1
      ELSE
         ifmt = INT(LOG10(ABS(FLOAT(ival)))) + 1
      ENDIF

C --- Allow for a sign in case 'ival' is negative...
      IF (ival.LT.0) ifmt = ifmt + 1

      RETURN
      END


